<ng-container *ngIf="userRole$ | async; let role; else loader" [ngSwitch]="role.name">
  <app-request-form-for-experts *ngSwitchCase="UserRolesNames.APPLICANT_EXPERT"
                                [request]="request"
                                [readonly]="readonly">
  </app-request-form-for-experts>
  <app-request-form-for-heads *ngSwitchCase="UserRolesNames.APPLICANT_CENTRAL_COMMISSION_HEAD"
                              [request]="request"
                              [readonly]="readonly">
  </app-request-form-for-heads>
  <app-request-form-for-heads *ngSwitchCase="UserRolesNames.APPLICANT_HEAD"
                              [request]="request"
                              [readonly]="readonly">
  </app-request-form-for-heads>
  <app-request-form-for-approval *ngSwitchCase="UserRolesNames.REGISTRAR"
                              [request]="request">
  </app-request-form-for-approval>
</ng-container>
<ng-template #loader>
  <app-loader></app-loader>
</ng-template>
